details {
	summary {
		.show-when-open {
			display: none;
		}

		.hide-when-open {
			display: block;
		}
	}

	&[open] {
		summary {
			.show-when-open {
				display: block;
			}

			.hide-when-open {
				display: none;
			}
		}
	}

	& > summary {
		list-style: none;
		&::-webkit-details-marker { display: none; }
	}
}
